<template>
  <div class='app_button'>
  <button class='btn btn-outline-primary' style="margin-left: 30px;" @click="toggleModal">Edit</button>
    <modal :modal-id="modalId">
      <h4 style='margin-bottom: 60px; margin-top: 60px;'>
        Update order
      </h4> 
      <label>Restaurant name:</label>
      <input class='form-control' v-model='restaurantName'> </input>
      <button class='btn btn-outline-secondary' @click="toggleModal"> Back </button>
      <button class="btn btn-outline-info" @click="updateOrder"> Update </button>
    </modal>
  </div>
</template>

<script>
export default {
    data () {
      return {
        message: '',
        restaurantName: this.order.restaurant_name,
        modalId: `updateOrderStatusButton-${this.order.id}`
      }
    },
    props: ['order'],
    methods: {
      toggleModal() {
        this.$root.$emit(`toggleModal-${this.modalId}`)
      },
      updateOrder() {
        this.$http.patch(`api/v1/orders/${this.order.id}`, {order: {restaurant_name: this.restaurantName}}).then((response) => {
          this.$store.dispatch('updateOrder', response.data.order )
        }).catch((error) => {
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
        this.toggleModal()
      }
    }
  }
</script>
